/*
 * Copyright (c) 2024 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
*/



//== Default Template 
.eclipsefdn-weighted-collaborations[data-template-id='default'],
.eclipsefdn-weighted-collaborations:not([data-template-id]) {
  display: flex;
  flex-direction: column;
  gap: 3rem;

  .weighted-collaboration {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex-grow: 0;
    width: 100%;
    padding: 3.5rem;
    border: 3px solid transparent;
    border-radius: 1.5rem;
    background-color: @neutral-flat;
    transition: border-color .2s ease-in;

    &-logo {
      max-width: 100%;
      min-height: 10rem; // Need to use a magic number to have this work with SVGs.
      object-fit: contain;
    }

    &:hover {
      border-color: @brand-primary-light;
    }
  }

  @media (min-width: @screen-sm-min) {
    flex-direction: row;
  }
}

